<%@ page
	pageEncoding="UTF-8"
	session="false"
	import="net.sf.basedb.core.User"
	import="net.sf.basedb.core.DbControl"
	import="net.sf.basedb.core.SessionControl"
	import="net.sf.basedb.core.Application"
	import="net.sf.basedb.clients.web.Base"	
	import="net.sf.basedb.clients.web.extensions.ExtensionsControl"
%>
<%@ taglib prefix="base" uri="/WEB-INF/base.tld" %>
<%@ taglib prefix="p" uri="/WEB-INF/path.tld" %>
<%
final SessionControl sc = Base.getExistingSessionControl(request, true);
final String ID = sc.getId();
final float scale = Base.getScale(sc);
final String home = ExtensionsControl.getHomeUrl("net.sf.basedb.labenv");
DbControl dc = null;
try
{
	dc = sc.newDbControl();
	final User user = User.getById(dc, sc.getLoggedInUserId());
	%>
<base:page type="default" >
<base:head
	scripts="~../reggie-2.js,~labenvironmentalarms.js"
	styles="path.css,~../css/reggie-2.css"
	>
	<style>
	.alarmtableheader
	{	
		text-align: center;
		vertical-align: bottom;
		background: #E0E0E0;
		cellspacing: 0;
		cellpadding: 0;	
	}

	/* Hide reggie version written by reggie-2.js, since this is just a help library */
	#reggie-version
	{
		display:none;
	}

	</style>
	</base:head>
	<base:body>
		<p:path><p:pathelement 
			title="LabEnv" href="<%="./labenvironmentalarms.jsp?ID="+ID%>" 
			/><p:pathelement title="Lab environment alarms" 
			/></p:path>
		<div id="x-guide" style="position: absolute; z-index: 99; display: none; background-color: #224488; width: 1px;"></div>
		<div id="y-guide" style="position: absolute; z-index: 99; display: none; background-color: #224488; height: 1px;"></div>
		<div class="content">
	
		<form name="labenv" id="wizard" class="wizard">
			<!-- 1. Report type-->
			<div class="step" id="step-1">
				<div class="step-no">1</div>
				<div class="step-title">Alarms</div>
				<div class="step-content">

					<table class="step-form" id="alarmTableId" border="0" cellspacing="0" cellpadding="0" width="100%">
					</table>
				</div>
			</div>
			
			<div id="wizard-status"></div>
			
			<div class="messagecontainer error" id="errorMessage" style="display: none; width: 950px; margin-left: 20px; margin-bottom: 0px;"></div>		
				
			<table class="navigation" id="navigation">
				<tr>
					<td><base:button id="gosetalarmblocker" title="Set alarm blocker" image="<%="gonext.png"%>" /></td>
				</tr>
			</table>			
		</form>
		</div>
		
	</base:body>
	</base:page>
	<%
}
finally
{
	if (dc != null) dc.close();
}
%>