<%@ page
	pageEncoding="UTF-8"
	session="false"
	import="net.sf.basedb.core.User"
	import="net.sf.basedb.core.DbControl"
	import="net.sf.basedb.core.SessionControl"
	import="net.sf.basedb.core.Application"
	import="net.sf.basedb.clients.web.Base"	
	import="net.sf.basedb.clients.web.extensions.ExtensionsControl"
%>
<%@ taglib prefix="base" uri="/WEB-INF/base.tld" %>
<%@ taglib prefix="p" uri="/WEB-INF/path.tld" %>
<%
final SessionControl sc = Base.getExistingSessionControl(request, true);
final String ID = sc.getId();
final float scale = Base.getScale(sc);
final String home = ExtensionsControl.getHomeUrl("net.sf.basedb.labenv.service");
DbControl dc = null;
try
{
	dc = sc.newDbControl();
	final User user = User.getById(dc, sc.getLoggedInUserId());
	%>
<base:page type="popup" title="LabEnv">
<base:head
	scripts="~../reggie-2.js,~labenvironmentdatabaseeventpopup.js,~boxplot.js"
	styles="path.css,~../css/reggie-2.css,~../css/report.css"
	>
	<link rel="stylesheet" type="text/css" href="../css/reggie-2.css">
	
	<style>
	/* Hide reggie version written by reggie-2.js, since this is just a help library */
	#reggie-version
	{
		display: none;
	}

	canvas
	{
		width: 700px;
		height: 550px;
	}
	.guide
	{
		position: absolute;
		z-index: 99;
		display: none;
		background-color: #224488;
	}
	</style>
	</base:head>
	<base:body>
		<p:path><p:pathelement 
			title="" href="<%="./labenvironmentdatabaseeventpopup.jsp?ID="+ID%>" 
			/><p:pathelement id="pageTitleId" title="Lab environment event display"
			/></p:path>
		<div id="x-guide" class="guide" style="width: 1px;"></div>
		<div id="y-guide" class="guide" style="height: 1px;"></div>
		<div class="content">
	
		<form name="labenv" id="wizard" class="wizard">

			<div id="reportSection" style="display:block;">
				<p></p>
				<table border="0" cellspacing="0" cellpadding="0">
				<tr>
					<td id="reportcell">
						<div id="reportdiv" style="text-align: center;">
							<div class="loading" id="loading">
							<table>
							<tr>
								<td><img src="../images/loading.gif"></td>
								<td id="loading.msg">Generating report...</td>
							</tr>
							</table>
							</div>
						</div>
					</td>
				</tr>
				</table>
			</div>	
		</form>
		</div>

		<div id="wizard-status"></div>

		<div class="messagecontainer error" id="errorMessage" style="display: none; width: 950px; margin-left: 20px; margin-top: 80px; margin-bottom: 0px;"></div>

	<base:buttongroup subclass="dialogbuttons">
		<base:button id="goprint" image="<%=home+"/images/print.png"%>" title="Print&hellip;" />
		<base:button id="gocancel" title="Cancel" />	
	</base:buttongroup>

	</base:body>
	</base:page>
	<%
}
finally
{
	if (dc != null) dc.close();
}
%>